Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JmsProviderType

All Superinterfaces:
  BusProvider, Provider, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Subinterfaces:
  JmsJcaProviderDocument.JmsJcaProvider

All Known Implementing Classes:
  JmsJcaProviderDocumentImpl.JmsJcaProviderImpl, JmsProviderTypeImpl

    public interface JmsProviderType

extends BusProvider

An XML jms-provider-type(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `JmsProviderType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getConnectionFactory()` Gets the "connection-factory" attribute
`java.lang.String` | `getJndiContextFactory()` Gets the "jndi-context-factory" attribute
`java.lang.String` | `getJndiPkgPrefix()` Gets the "jndi-pkg-prefix" attribute
`java.lang.String` | `getJndiURL()` Gets the "jndi-URL" attribute
`boolean` | `isSetJndiContextFactory()` True if has "jndi-context-factory" attribute
`boolean` | `isSetJndiPkgPrefix()` True if has "jndi-pkg-prefix" attribute
`boolean` | `isSetJndiURL()` True if has "jndi-URL" attribute
`void` | `setConnectionFactory(java.lang.String connectionFactory)` Sets the "connection-factory" attribute
`void` | `setJndiContextFactory(java.lang.String jndiContextFactory)` Sets the "jndi-context-factory" attribute
`void` | `setJndiPkgPrefix(java.lang.String jndiPkgPrefix)` Sets the "jndi-pkg-prefix" attribute
`void` | `setJndiURL(java.lang.String jndiURL)` Sets the "jndi-URL" attribute
`void` | `unsetJndiContextFactory()` Unsets the "jndi-context-factory" attribute
`void` | `unsetJndiPkgPrefix()` Unsets the "jndi-pkg-prefix" attribute
`void` | `unsetJndiURL()` Unsets the "jndi-URL" attribute
`org.apache.xmlbeans.XmlString` | `xgetConnectionFactory()` Gets (as xml) the "connection-factory" attribute
`org.apache.xmlbeans.XmlString` | `xgetJndiContextFactory()` Gets (as xml) the "jndi-context-factory" attribute
`org.apache.xmlbeans.XmlString` | `xgetJndiPkgPrefix()` Gets (as xml) the "jndi-pkg-prefix" attribute
`org.apache.xmlbeans.XmlAnyURI` | `xgetJndiURL()` Gets (as xml) the "jndi-URL" attribute
`void` | `xsetConnectionFactory(org.apache.xmlbeans.XmlString connectionFactory)` Sets (as xml) the "connection-factory" attribute
`void` | `xsetJndiContextFactory(org.apache.xmlbeans.XmlString jndiContextFactory)` Sets (as xml) the "jndi-context-factory" attribute
`void` | `xsetJndiPkgPrefix(org.apache.xmlbeans.XmlString jndiPkgPrefix)` Sets (as xml) the "jndi-pkg-prefix" attribute
`void` | `xsetJndiURL(org.apache.xmlbeans.XmlAnyURI jndiURL)` Sets (as xml) the "jndi-URL" attribute

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getConnectionFactory

    java.lang.String getConnectionFactory()

  Gets the "connection-factory" attribute

### xgetConnectionFactory

    org.apache.xmlbeans.XmlString xgetConnectionFactory()

  Gets (as xml) the "connection-factory" attribute

### setConnectionFactory

    void setConnectionFactory(java.lang.String connectionFactory)

  Sets the "connection-factory" attribute

### xsetConnectionFactory

    void xsetConnectionFactory(org.apache.xmlbeans.XmlString connectionFactory)

  Sets (as xml) the "connection-factory" attribute

### getJndiContextFactory

    java.lang.String getJndiContextFactory()

  Gets the "jndi-context-factory" attribute

### xgetJndiContextFactory

    org.apache.xmlbeans.XmlString xgetJndiContextFactory()

  Gets (as xml) the "jndi-context-factory" attribute

### isSetJndiContextFactory

    boolean isSetJndiContextFactory()

  True if has "jndi-context-factory" attribute

### setJndiContextFactory

    void setJndiContextFactory(java.lang.String jndiContextFactory)

  Sets the "jndi-context-factory" attribute

### xsetJndiContextFactory

    void xsetJndiContextFactory(org.apache.xmlbeans.XmlString jndiContextFactory)

  Sets (as xml) the "jndi-context-factory" attribute

### unsetJndiContextFactory

    void unsetJndiContextFactory()

  Unsets the "jndi-context-factory" attribute

### getJndiPkgPrefix

    java.lang.String getJndiPkgPrefix()

  Gets the "jndi-pkg-prefix" attribute

### xgetJndiPkgPrefix

    org.apache.xmlbeans.XmlString xgetJndiPkgPrefix()

  Gets (as xml) the "jndi-pkg-prefix" attribute

### isSetJndiPkgPrefix

    boolean isSetJndiPkgPrefix()

  True if has "jndi-pkg-prefix" attribute

### setJndiPkgPrefix

    void setJndiPkgPrefix(java.lang.String jndiPkgPrefix)

  Sets the "jndi-pkg-prefix" attribute

### xsetJndiPkgPrefix

    void xsetJndiPkgPrefix(org.apache.xmlbeans.XmlString jndiPkgPrefix)

  Sets (as xml) the "jndi-pkg-prefix" attribute

### unsetJndiPkgPrefix

    void unsetJndiPkgPrefix()

  Unsets the "jndi-pkg-prefix" attribute

### getJndiURL

    java.lang.String getJndiURL()

  Gets the "jndi-URL" attribute

### xgetJndiURL

    org.apache.xmlbeans.XmlAnyURI xgetJndiURL()

  Gets (as xml) the "jndi-URL" attribute

### isSetJndiURL

    boolean isSetJndiURL()

  True if has "jndi-URL" attribute

### setJndiURL

    void setJndiURL(java.lang.String jndiURL)

  Sets the "jndi-URL" attribute

### xsetJndiURL

    void xsetJndiURL(org.apache.xmlbeans.XmlAnyURI jndiURL)

  Sets (as xml) the "jndi-URL" attribute

### unsetJndiURL

    void unsetJndiURL()

  Unsets the "jndi-URL" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD